## cascading.tap.hadoop
Class TapIterator

    java.lang.Object
      cascading.tap.hadoop.TapIterator

All Implemented Interfaces:
  TupleIterator, Iterator<Tuple>

    public class TapIterator

extends Object
implements TupleIterator

Class TapIterator is an implementation of `TupleIterator`. It is returned by `Tap` instances when opening the taps resource for reading.

Constructor Summary
`TapIterator(Tap tap, JobConf conf)` Constructor TapIterator creates a new TapIterator instance.

Method Summary
`void` `close()`
`boolean` `hasNext()` Method hasNext returns true if there more `Tuple` instances available.
`Tuple` `next()` Method next returns the next `Tuple`.
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TapIterator

    public TapIterator(Tap tap,
                       JobConf conf)
                throws IOException

  Constructor TapIterator creates a new TapIterator instance.

  Parameters:
    `conf` - of type JobConf
  Throws:
    `IOException` - when

Method Detail

### hasNext

    public boolean hasNext()

  Method hasNext returns true if there more `Tuple` instances available.

  Specified by:
    `hasNext` in interface `Iterator<Tuple>`
  Returns:
    boolean

### next

    public Tuple next()

  Method next returns the next `Tuple`.

  Specified by:
    `next` in interface `Iterator<Tuple>`
  Returns:
    Tuple

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<Tuple>`

### close

    public void close()

  Specified by:
    `close` in interface `TupleIterator`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.